<?php
namespace MageWorx\OptionFeatures\Block\Product\View\Wrapper;

/**
 * Interceptor class for @see \MageWorx\OptionFeatures\Block\Product\View\Wrapper
 */
class Interceptor extends \MageWorx\OptionFeatures\Block\Product\View\Wrapper implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, array $data, \Magento\Framework\Serialize\Serializer\Json $serializer, \MageWorx\OptionFeatures\Model\SwatchMediaData $swatchMediaData)
    {
        $this->___init();
        parent::__construct($context, $data, $serializer, $swatchMediaData);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
